Joomla updates - Joomla migraties

Joomla 3.5 is uitgekomen

Het Joomla! project en het Production Leadership Team zijn trots de release van Joomla! 3.5 aan te kondigen, de nieuwste in de 3.x serie. We introduceren 34 nieuwe functies, inclusief ondersteuning voor de recent uitgebrachte PHP 7 scripttaal, welke de website snelheid aanzienlijk verhoogt.

joomla35

Deze versie van Joomla! ondersteunt de meest recente release van PHP, de meest populaire programmeertaal voor het ontwikkelen van web applicaties. PHP 7 is kortgeleden aangekondigd met aanzienlijke performance verbeteringen en is nu beschikbaar voor gebruik door het grote publiek. Met Joomla! 3.5 kunnen gebruikers van de voordelen van de performanceverbetering genieten.

Als je website gebruik maakt van:

♦ Een Joomla 2.5.x versie, moet je upgraden naar Joomla 2.5.28 en aansluitend updaten naar Joomla 3.X als het kan zo spoedig mogelijk, omdat de ondersteuning voor Joomla 2.5 is gestopt.
♦ Een Joomla 3.3.X versie, moet je upgraden naar Joomla 3.5

Een korte uitleg over het updaten/upgraden en of migreren van uw Joomla site vindt u hieronder:

Technische uitleg hoe Joomla versie 1 upgraden naar Joomla versie 3.5
♦ Wil je zelf de upgrade gaan uitvoeren, dan volgt hieronder meer specifieke informatie. De Joomla upgrade van 1 naar 2.5 kan gedaan worden middels het component Jupgrade en SP Upgrade (aanbevolen).

BELANGRIJK: maak eerst altijd een backup van uw joomla website inclusief de database!

Laatstgenoemde wordt het meest aanbevolen om mee te werken. De upgrade zelf is vrij eenvoudig, echter zal er rekening gehouden moeten worden dat niet alles word meegenomen in de upgrade, zoals de template zelf, deze zal opnieuw gebouwd Moeten worden naar een Joomla 3.5 template.

De inhoud van de website zoals de artikelen, menu items en overige standaard componenten zullen worden meegenomen in de upgrade. Joomla upgrade patches kunt u hier vinden. Specifieke extensies die niet beschikbaar zijn voor Joomla 2.5 worden niet meegenomen in de upgrade.

Het kan ook zijn dat een extensie die wel beschikbaar is voor Joomla 2.5 alsnog niet word meegenomen in de upgrade. Het is dan ook verstandig om na de upgrade even alle onderdelen na te lopen op mogelijke fouten.

Joomla migratie naar Joomla 3.x
♦ Om eventuele bugfixes en patches te installeren is het belangrijk om met de best ondersteunde Joomla versie te werken. Dit is meestal de meest recente versie.

Migratie van Joomla 1.5 naar Joomla 2.5/Joomla 3
♦ Op 24 januari 2012 werd Joomla 2.5 uitgebracht. Dit is een zogenaamde long-term-support (LTS) versie die minstens 18 maanden ondersteund zal worden mbt bugfixes en security updates. De ondersteuning van Joomla 1.5 via Joomla.org is in september 2012 gestopt. Joomla 1.5 websites blijven na die datum gewoon werken, maar er komen geen (veiligheids)patches meer uit. Overstappen naar Joomla 2.5 en aansluitend naar Joomla 3.x is aan te raden indien de gebruikte benodigde uitbreidingen (extensies) voor die Joomla versie beschikbaar zijn. Joomla specialist Joomlawebdesign24.nl verzorgt het migratie traject van Joomla 1.0, 1.5 naar 2.5 of 3.x, inclusief database conversie, extensie upgrade en template aanpassingen.

Migratie van Joomla 1.5 naar Joomla 1.7 en verder
♦ Joomla 1.6 en 1.7 waren short-term-support (STS) versies: Joomla 1.6 werd met updates (bugfixes en security updates) ondersteund tot 19 August 2011 en Joomla 1.7 tot 24 februari 2012. Het is verstandig om over te stappen op Joomla  3.x.

Migratie van Joomla 1.0 naar Joomla 2.5/3.x
♦ Heb je zelfs nog een Joomla 1.0.15 website of ouder? De Joomla 1.0 serie wordt sinds 22 juli 2009 officieel niet meer door Joomla ondersteund. Een verouderde versie kan heel lastig zijn:
♦ Er worden geen officiele patches voor Joomla 1.0.x meer uitgebracht;
♦ Joomla 1.0 werkt niet zo prettig als 1.5 of 2.5. Dat is vooral te merken met het
♦ aanmaken (en wijzigen!) van menu's en met het gebrek aan taalkeuze voor de
administrator back-end;
♦ Vervelend is het als u nieuwe uitbreidingen (extensies) wilt gaan gebruiken.
♦ Nieuwe extensies werken overwegend alleen nog onder Joomla 2.5 en 3.x.;
♦ Kans op infecties (hacking) is bij zeer verouderde Joomla versies erg groot;